/*

ModifierKeys is a set of bit flags for matching held modifier key patterns.

When you're given a Modifiers argument, or you use
InputHandler.GetModifierMask(), you can perform tests such as:

	// TRUE if Alt is being held (others don't matter).
	Modifiers & ModifierKeys.Alt != 0

	// TRUE if ONLY Control is being held.
	Modifiers == ModifierKeys.Control

	// TRUE if Shift is not being held.
	Modifiers & ModifierKeys.Shift == 0

*/

var ModifierKeys/ModifierKeys = new

ModifierKeys
	parent_type = /Constants

	var const
		None = 0
		Control = 1 << 0
		Shift = 1 << 1
		Alt = 1 << 2
